# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           tclabc
Version:        1.3.7
Release:        alt2_3
Summary:        A Tcl interface and a Tk GUI to the ABC notation

Group:          Sound
License:        GPLv2+
URL:            http://moinejf.free.fr
Source0:        http://moinejf.free.fr/tclabc-%{version}.tar.gz
BuildRequires:  tk-devel
BuildRequires:	libalsa-devel
Requires:       tk
Requires:       abcm2ps


%description
Tclabc is designed to help on writing music in ABC notation.


%prep
%setup -q
for f in *.tcl README
do
  iconv -f iso-8859-1 -t utf-8 $f -o $f.iconv && mv $f.iconv $f
done


%build
# for compatibility with tcl8.6
CFLAGS="%{optflags} -DUSE_INTERP_RESULT"
%configure --with-tcltk=%{_libdir}
%make_build


%install
make install prefix=$RPM_BUILD_ROOT%{_prefix} bindir=$RPM_BUILD_ROOT%{_bindir} datadir=$RPM_BUILD_ROOT%{_datadir} libdir=$RPM_BUILD_ROOT%{_libdir} INSTALL_DATA="install -p -m644"


%files
%doc Changes LICENSE README
%{_bindir}/*
%{_libdir}/tclabc


%changelog
* Mon Apr 10 2017 Cronbuild Service <cronbuild@altlinux.org> 1.3.7-alt2_3
- rebuild to get rid of unmets

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.3.7-alt1_3
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.3.7-alt1_2
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.3.7-alt1_1
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.2.2-alt1_9
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.2-alt1_5
- update to new release by fcimport

* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.2-alt1_4
- initial fc import

